Skip to content
中文

POST /fal-ai/flux-pro/kontext/multi

Method: POSTEndpoint: /fal-ai/flux-pro/kontext/multi

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
  // provider-specific example normalized for English documentation
image_urls
array
[string]
Required
  // provider-specific example normalized for English documentation
aspect_ratio
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
21:9
16:9
4:3
3:2
1:1
2:3
3:4
9:16
9:21
guidance_scale
number
Optional
  // provider-specific example normalized for English documentation
sync_mode
boolean
Optional
  // provider-specific example normalized for English documentation
num_images
integer
Optional
  // provider-specific example normalized for English documentation
output_format
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
jpeg
png
safety_tolerance
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
1
2
3
4
5
6
seed
integer
Optional
  // provider-specific example normalized for English documentation
Example
{
"prompt"
:
"string"
,
"image_urls"
:
[
"string"
]
,
"aspect_ratio"
:
"21:9"
,
"guidance_scale"
:
0
,
"sync_mode"
:
true
,
"num_images"
:
0
,
"output_format"
:
"jpeg"
,
"safety_tolerance"
:
"1"
,
"seed"
:
0
}

Example Request

Shell

bash
curl --location --request POST '/fal-ai/flux-pro/kontext/multi' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "image_urls": [
        "string"
    ],
    "aspect_ratio": "21:9",
    "guidance_scale": 0,
    "sync_mode": true,
    "num_images": 0,
    "output_format": "jpeg",
    "safety_tolerance": "1",
    "seed": 0
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
status
string
Required
request_id
string
Required
response_url
string
Required
status_url
string
Required
cancel_url
string
Required
queue_position
integer
Required

Example

json
{
    "status": "IN_QUEUE",
    "request_id": "551a32da-52b2-4be8-bf2f-bfb7cce2b324",
    "response_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324",
    "status_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/cancel",
    "queue_position": 0
}